    {$btnType = $instance->getProperty('btntype')}
    {$btnStyle = $instance->getProperty('btncolor')}
    {$btnWidth = $instance->getProperty('btnwidth')}
    {$uid = $instance->getUid()}
    <div class="w-100 d-flex
    justify-content-{$instance->getProperty('btnorientationXS')}
    justify-content-sm-{$instance->getProperty('btnorientationSM')}
    justify-content-md-{$instance->getProperty('btnorientationMD')}
    justify-content-lg-{$instance->getProperty('btnorientationLG')}
    justify-content-xl-{$instance->getProperty('btnorientationXL')}
    dzm-btn-snippet-wrapper">
        <button data-dzm-event-dispatcher-event-id="{$eventId}" data-dzm-event-dispatcher-id="{$uid}" class="dzm-btn {if $btnType == 'link'}p-0{/if} dzm-btn-{if $btnType != 'plain' && $btnType != 'link'}{$btnType}-{/if}{$btnStyle} btn btn-{if $btnType != 'full'}{$btnType}-{/if}{$btnStyle}" style="width:{$btnWidth}">
            {if $instance->getProperty('useIcon') && $instance->getProperty('btnicon') !== null && $instance->getProperty('iconPlacement') == 'Vor dem Text'}
                <i class="{$instance->getProperty('btnicon')} mr-2" style="transform:translateY(1px)"></i>
            {/if}
            {$instance->getProperty('btntext')}
            {if $instance->getProperty('useIcon') && $instance->getProperty('btnicon') !== null && $instance->getProperty('iconPlacement') == 'Nach dem Text'}
                <i class="{$instance->getProperty('btnicon')} ml-2" style="transform:translateY(1px)"></i>
            {/if}
        </button>
        <script>
            document.addEventListener('DOMContentLoaded',()=> {
                (new DZMEventDispatcher('{$uid}','{$eventId}','click')).init()


            })
        </script>


    </div>
