{block name='footer-sidepanel-left-content' }
    {if $dzm_resources_settings->mountpoints->beforeSidebar}
    {opcMountPoint id='dzmopcplus_before_sidebar' inContainer=false}
    {/if}
    {$smarty.block.parent}
    {if $dzm_resources_settings->mountpoints->afterSidebar}
    {opcMountPoint id='dzmopcplus_after_sidebar' inContainer=false}
    {/if}

{/block}
{block name='layout-footer-main-wrapper-closingtag'}
    {if $dzm_resources_settings->mountpoints->afterMain}
    {opcMountPoint id='dzmopcplus_after_main' inContainer=false}
    {/if}

    {$smarty.block.parent}
    {if $dzm_resources_settings->mountpoints->beforeFooter}
    {opcMountPoint id='dzmopcplus_before_footer' inContainer=false}
    {/if}

{/block}
{block name='layout-footer-additional' append}
    {if $dzm_resources_settings->mountpoints->beforeFootnote}
    {opcMountPoint id='dzmopcplus_before_footnote' inContainer=false}
    {/if}

{/block}
{block name='layout-footer-copyright' prepend}
    {if $dzm_resources_settings->mountpoints->afterFootnote}
    {opcMountPoint id='dzmopcplus_after_footnote' inContainer=false}
    {/if}

{/block}
{block name='layout-footer-content' append}
    {if $dzm_resources_settings->mountpoints->afterFooter}
    {opcMountPoint id='dzmopcplus_after_footer' inContainer=false}
    {/if}

{/block}


{block name='layout-footer-js' append}



    {foreach $dzm_scripts as $script}
        {* CHECK IF SCRIPT IS SET *}
        {if isset($script->script) && !empty($script->script)}
            {$scriptContent = ''}

            {* GET SCRIPT CONTENT *}
            {if $script->type == 0}
                {$scriptContent = $script->script}
            {else}
                {$scriptContent = $script->script->code}
            {/if}

            {* HANDLE FOOTER SCRIPTS TYPE 1*}
            {if $script->scriptPosition->id === 1}
                <!-- SCRIPT {$script->scriptName}::{$script->scriptUID}::TYPE1 -->

                {if isset($script->useConsentManager) && $script->useConsentManager && isset($script->consentItem->consentUID)}
                    {if $smarty.session.consents.{$script->consentItem->consentUID}}
                        <!-- SCRIPT {$script->scriptName}::{$script->scriptUID} CONSENT ACTIVE-->
                        {$scriptContent}
                    {/if}
                {else}
                    <!-- SCRIPT {$script->scriptName}::{$script->scriptUID} ACTIVE-->
                    {$scriptContent}
                {/if}

                {* HANDLE SELECTOR SCRIPTS TYPE 3 *}
            {elseif  $script->scriptPosition->id === 3 && !empty($script->selector)}
                <!-- SCRIPT {$script->scriptName}::{$script->scriptUID}::TYPE3 -->

                {if isset($script->useConsentManager) && $script->useConsentManager && isset($script->consentItem->consentUID)}
                    {if $smarty.session.consents.{$script->consentItem->consentUID}}
                        <!-- SCRIPT {$script->scriptName}::{$script->scriptUID} CONSENT ACTIVE-->
                        <script>
                                document.addEventListener('DOMContentLoaded',()=> {
                                    let container = document.querySelectorAll(`{$script->selector}`)
                                    let element = `{$scriptContent|escape:'javascript'}`
                                    container.forEach(c=> {
                                        c.innerHTML += element
                                    })
                                })


                        </script>

                    {/if}
                {else}
                    <!-- SCRIPT {$script->scriptName}::{$script->scriptUID} ACTIVE-->
                    <script>
                        document.addEventListener('DOMContentLoaded',()=> {
                            let container = document.querySelectorAll(`{$script->selector}`)
                            let element = `{$scriptContent|escape:'javascript'}`
                            container.forEach(c=> {
                                c.innerHTML += element
                            })
                        })
                    </script>
                {/if}

            {/if}
        {/if}
    {/foreach}

    {if isset($dzmCheckupA) && $dzmCheckupA}
        <script>console.log('Licensecheck::OK')</script>
    {/if}
    {if isset($dzmCheckupB) && $dzmCheckupB}
        <script>console.log('Cachecheck::OK')</script>
    {/if}

{/block}
